@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-ExtraLight.ttf");
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-Light.ttf");
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-Medium.ttf");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-SemiBold.ttf");
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "Oswald";
    src: url("../../shared/assets/fonts/Oswald-Bold.ttf");
    font-weight: 700;
    font-style: normal;
}

:root {
    --font-primary: "Oswald";
    --dark-background: rgba(0, 0, 0, 0.75);
    --light-background: rgba(255, 255, 255, 0.5);
    --regular-background: rgba(from var(--dark-background) r g b / 0.2);
    --background-active: rgba(from var(--dark-background) r g b / 1);
    --background-inactive: rgba(from var(--dark-background) r g b / 0.1);
    --blur: blur(20px);
    --transition: 0.2s ease-in-out;
    --item-border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    --icon-margin: 0.5rem;
}

html {
    font-family: var(--font-primary);
    font-size: 16px;
}

body {
    font-family: inherit;
    font-size: inherit;
    padding: unset;

    &:not(.loaded)::after {
        content: "";
        height: 100dvh;
        width: 100dvw;
        background-color: white;
        position: fixed;
        top: 0;
        left: 0;
        transition: all var(--transition);
        z-index: 100;
    }

    &.loaded::after {
        opacity: 0;
        pointer-events: none;
    }

    &:has(#custom-shop) {
        &>.wrapper {
            display: none !important;
        }
    }

    &:not(:has(#custom-shop)) {
        &>.wrapper nav {
            display: none !important;
        }
    }
}

ul {
    margin: unset;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: unset;
    font-family: inherit !important;
    color: inherit;
}

#custom-shop {
    width: 100dvw;
    height: 100dvh;

    #back-to-shop {
        margin-right: auto;
        padding: 0.25rem 0.5rem;
        color: white;
        text-decoration: none;
        font-size: 0.8rem;
        backdrop-filter: var(--blur);
        background-color: var(--regular-background);

        &>div::before {
            content: "<";
            display: inline-block;
            margin-right: var(--icon-margin);
        }
    }

    & select,
    button {
        appearance: none;
        background-color: transparent;
        border: unset;
    }

    &>.foreground {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 2rem;
        height: 90dvh;
        width: 90%;
        z-index: 2;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        overflow-y: scroll;
        overflow-x: hidden;

        @media screen and (min-width: 767px) {
            height: unset;
            width: 50vw;
        }

        &:has(#event-list) {
            @media screen and (min-width: 767px) {
                height: 70dvh;
                max-height: 800px;
            }
        }

        &:not(:has(#event-list)) {
            @media screen and (min-width: 767px) {
                max-width: 800px;
            }
        }

        & .content {
            display: flex;
            flex-direction: column;
            gap: 1rem;
            /* margin: auto; */
            max-height: 80dvh;

            @media screen and (min-width: 767px) {
                margin: unset;
            }

            &:has(#event-list) {
                display: grid;
                grid-template-rows: auto auto 1fr auto;
                flex-direction: unset;
                height: 100%;
            }

            &>.logo {
                height: 3rem;
                margin-right: auto;
                border-bottom: unset;
            }

            &>*:not(.logo, .event-list-information) {
                color: white;
                border-bottom: var(--item-border-bottom);
            }

            &>.header {
                display: flex;
                flex-direction: row;
                gap: 1rem;
                align-items: end;
                border-bottom: unset;

                & .event-information {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    flex-grow: 1;
                    font-size: 0.8rem;

                    &>*:not(:last-child)::after {
                        content: "/";
                        display: inline-block;
                        margin: 0 0.5rem;
                    }
                }
            }

            & nav {
                & ul {
                    list-style-type: none;
                    padding: unset;
                    display: flex;
                    justify-content: space-around;
                    text-transform: uppercase;
                    font-size: 0.8rem;

                    @media screen and (min-width: 768px) {
                        font-size: unset;
                    }

                    & li {
                        padding: 0.5rem 2rem;
                        flex-grow: 1;
                        text-align: center;
                        background-color: var(--regular-background);
                        cursor: pointer;
                        backdrop-filter: var(--blur);
                        transition: all var(--transition);

                        &.active {
                            background-color: var(--background-active);
                            position: relative;

                            &::after {
                                content: "";
                                height: 1px;
                                background-color: white;
                                width: 100%;
                                position: absolute;
                                top: 100%;
                                left: 0;
                            }
                        }
                    }
                }

                &.tab-select {
                    & li:not(.complete) {
                        pointer-events: none;
                        &:not(.active) {
                            color: hsl(0, 0%, 75%);
                        }
                    }
                }

                &.locale-select {
                    font-size: 0.6rem;
                    border-bottom: unset;

                    & ul {
                        width: fit-content;
                        margin-left: auto;

                        & li {
                            padding: 0.5rem 1rem;
                        }
                    }
                }
            }

            --container-padding: 1rem;

            &:has(#tickets.active) .nav-buttons {
                & button:first-child {
                    display: none;
                }
                & button:last-child {
                    grid-column: 1 / -1;
                }
            }

            &>.slide {
                background: var(--dark-background);
                padding: var(--container-padding) calc(2 * var(--container-padding));
                overflow-x: hidden;
                backdrop-filter: var(--blur);
                overflow-y: scroll;
                height: 50vh;

                @media screen and (min-width: 768px) {
                    height: unset;
                    max-height: 50vh;
                }

                &:not(.active) {
                    display: none;
                }

                &#tickets {

                    &.active {
                        display: flex;
                        place-content: center;
                    }

                    & ul {
                        list-style-type: none;
                        padding: unset;
                        display: grid;
                        grid-template-columns: 1fr auto;
                        gap: 1rem;
                        width: 100%;

                        @media screen and (min-width: 768px) {
                            grid-template-columns: 1fr repeat(2, auto);
                            gap: 1rem 2rem;
                        }

                        & .ticket-type {
                            display: grid;
                            grid-template-columns: subgrid;
                            grid-column: 1 / -1;
                            align-items: center;

                            &:not(:last-child) {
                                border-bottom: 1px solid var(--light-background);
                                padding-bottom: 1rem;
                            }

                            &.sold-out {
                                opacity: 0.5;
                                pointer-events: none;

                                & * {
                                    text-decoration: line-through;
                                }
                            }

                            & .ticket-type-name {
                                grid-column: 1 / -1;
                                
                                @media screen and (min-width: 768px) {
                                    grid-column: unset;
                                }
                            }

                            & .ticket-amount-input {
                                display: flex;
                                flex-direction: row;

                                & select,
                                button {
                                    background-color: transparent;
                                    /* border: 1px solid white; */
                                    border-radius: unset;
                                }

                                & select {
                                    width: 3rem;
                                    text-align: center;
                                    text-align-last: center;
                                }

                                & button {
                                    padding: 0.25rem;
                                    width: 2rem;
                                    aspect-ratio: 1;
                                }
                            }

                        }
                    }
                }

                &#customer-data {
                    & #page3 {
                        background: unset !important;
                        background-color: unset !important;

                        & > .container {
                            width: unset !important;
                            padding: unset;

                            & > .row {
                                display: unset !important;
                                margin-left: unset;
                                margin-right: unset;
                            }
                        }

                        & .customer-data-wrapper {
                            background-color: unset !important;
                            padding: unset;
                            width: unset !important;
                            float: unset !important;

                            & h2 {
                                display: none;
                            }

                            & .radio-inline,
                            .tio-form-label,
                            .checkbox,
                            .radio,
                            a {
                                font-family: inherit !important;
                                color: inherit !important;
                            }

                            & input,
                            select {
                                background-color: transparent !important;
                                border: 1px solid white;
                                color: white !important;
                            }

                            & .insuranceDiv {
                                & .highlight-card {
                                    --insurance-highlight-color: white;
                                    border-color: var(--insurance-highlight-color);
                                    background-color: transparent;
                                    color: white;
                                    font-family: inherit !important;

                                    & .highlight-card__title {
                                        background-color: var(--insurance-highlight-color);
                                        color: black;
                                    }

                                    & * {
                                        color: inherit;
                                        font-family: inherit !important;
                                    }
                                }
                            }
                        }

                        & .actionBar {
                            display: none;
                        }
                    }
                }

                &#summary {
                    & .sumOfPurchase {
                        & h2 {
                            display: none;
                        }

                        & .help-block {
                            color: inherit !important;
                            font-weight: 200;
                        }

                        & table {
                            & tr {
                                & td:first-child {
                                    background-color: unset !important;

                                    & small {
                                        display: none;
                                    }
                                }

                                &.tio-fee td {
                                    font-family: inherit !important;
                                }
                            }

                            & .discount-coupons .btn-remove-coupon {
                                text-shadow: unset;
                                color: white;
                                opacity: unset;
                                float: unset;
                            }

                            & .mobile-table-highlight {
                                background-color: transparent !important;
                            }
                        }

                        & .couponDiv {
                            & .input-group {
                                display: flex;
                                flex-direction: row;

                                & .input-group-btn {
                                    width: unset;
                                }

                                & input {
                                    background-color: transparent !important;
                                    border: 1px solid white;
                                    border-radius: unset !important;
                                    color: white !important;
                                }
                            }
                        }

                        & .tioNotOrganizer {
                            background-color: transparent !important;
                            color: inherit !important;
                            font-family: inherit !important;
                        }
                    }
                }
            }

            &>.cart-total {
                padding: calc(var(--container-padding) / 2) var(--container-padding);
                background-color: var(--light-background);
                backdrop-filter: var(--blur);
                text-align: center;
                color: black;

                &:empty {
                    display: none;
                }

                & div:is(:nth-child(1), :nth-child(2)) {
                    display: inline-block;
                }

                & div:nth-child(1)::after {
                    content: "/";
                    display: inline-block;
                    margin: 0 0.5rem;
                }

                & .fees {
                    display: block;
                    font-size: 0.8rem;
                    font-weight: 200;
                }
            }

            &>.nav-buttons {
                display: grid;
                grid-template-columns: repeat(2, 1fr);

                & button {
                    background-color: var(--light-background);
                    backdrop-filter: var(--blur);
                    border-bottom: 1px solid white;
                    color: black;
                }
            }
        }

        #event-list {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            padding: unset;
            border-bottom: unset;
            overflow-y: scroll;
            scroll-snap-type: y mandatory;
            min-width: 50vw;

            @media screen and (min-width: 767px) {
                grid-template-columns: repeat(3, 1fr);
            }

            & li {
                display: grid;
                grid-template-columns: subgrid;
                grid-column: 1 / -1;
                scroll-snap-align: start;
                margin-bottom: 0.5rem;
                border-bottom: var(--item-border-bottom);

                &>*:not(.event-cover) {
                    padding: 1rem 2rem;
                    backdrop-filter: var(--blur);
                    place-content: center;
                }

                & .event-cover {
                    position: relative;

                    @media screen and (min-width: 767px) {
                        height: 100%;
                        min-height: 8rem;
                    }

                    & img {
                        position: absolute;
                        top: 0;
                        left: 0;
                        object-fit: cover;
                        object-position: center;
                        width: 100%;
                        height: 100%;
                    }
                }

                & .date-start,
                .location,
                .description {
                    font-size: 0.8rem;
                    font-weight: 200;
                }

                & .description {
                    margin-top: 1rem;
                }

                & .event-information {
                    background-color: var(--dark-background);
                }

                & .cta {
                    text-align: center;
                    grid-column: 1 / -1;
                    --padding: 0.25rem;
                    padding-top: var(--padding);
                    padding-bottom: var(--padding);
                    background-color: var(--light-background);

                    @media screen and (min-width: 767px) {
                        grid-column: unset;
                        padding: unset;
                    }

                    & a {
                        text-decoration: none;
                        text-align: center;
                        color: white;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        height: 100%;
                        width: 100%;
                    }
                }

                &.presale-not-available .cta {
                    background-color: var(--background-inactive);

                    & a {
                        font-weight: 200;
                        color: rgba(255, 255, 255, 0.5);
                    }
                }

                &:not(.presale-not-available) .cta {

                    & a {
                        font-weight: unset;

                        &::after {
                            content: ">";
                            display: inline-block;
                            margin-left: var(--icon-margin);
                        }
                    }
                }
            }
        }

        & .event-list-header {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: end;
        }

        & .event-list-information {
            border-bottom: unset;
            margin-bottom: unset;
            color: white;

            & > p {
                margin-bottom: unset;
            }

            &:last-child {
                font-size: 0.8rem;
            }
        }

        #purchase-confirmation {
            & .container-purchasecomplete {
                width: unset;
                padding: 1rem;
                backdrop-filter: var(--blur);
                background-color: var(--regular-background);

                & .list-eventinfos {
                    color: white;
                    font-family: inherit;
                }

                & p {
                    font-family: inherit;
                    font-size: 1rem;
                    font-weight: 200;
                }

                & .btn-download {
                    font-family: inherit;
                }

                & .row .col-md-7 > div {
                    padding-top: 1rem !important;

                    & > h2 {
                        margin-top: unset;
                    }
                }
            }
        }
    }

    &>.background {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    button {
        transition: all var(--transition);

        &[disabled] {
            opacity: 0.5;
            pointer-events: none;
        }
    }
}

footer {
    font-size: 0.8rem;
    font-weight: 200;

    & p,
    a {
        color: black !important;
    }
}

.light {
    font-weight: 200;
}

.uppercase {
    text-transform: uppercase;
}

details {
    border-radius: var(--border-radius-regular);
    grid-column: 1 / -1;
    font-size: 0.8rem;
    font-weight: 200;

    @supports selector(::details-content) {
        &::details-content {
            margin-top: 0;
            block-size: 0;
            opacity: 0;
            transition: all 0.2s;
            transition-behavior: allow-discrete;
        }

        &[open]::details-content {
            margin-top: 1rem;
            block-size: auto;
            opacity: 1;
        }
    }

    @supports not selector(::details-content) {
        &[open] p {
            margin-top: 1rem;
        }
    }

    & summary,
    >div {
        padding-right: 1rem;
    }

    &>div {
        padding-bottom: 1rem;

        &:has(.address)>.row {
            display: flex;
            flex-direction: column;
            gap: 2rem;

            &::before {
                content: unset !important;
            }

            &::after {
                content: unset !important;
            }

            &>div {
                width: 100%;
            }
        }
    }

    &[open] summary span::before {
        rotate: 90deg;
    }

    & summary {
        --padding: 0rem;
        padding-top: var(--padding);
        padding-bottom: var(--padding);
        cursor: pointer;
        transition: opacity var(--transition-regular);

        & span::before {
            content: ">";
            display: inline-flex;
            place-content: center;
            font-weight: 800;
            border-radius: 0;
            margin-right: 1rem;
            transition: rotate var(--transition-regular);
        }

        &:hover {
            opacity: 0.5;
        }
    }

    & summary::-webkit-details-marker {
        display: none;
    }

    &::marker {
        content: "";
        display: none;
    }
}